package org.ow2.orchestra.util;

import java.util.Date;

public abstract class Clock {

  protected static Date currentTime = null;

  private Clock() { }

  public static Date getCurrentTime() {
    if (Clock.currentTime == null) {
      return new Date();
    }
    return Clock.currentTime;
  }

  public static void setCurrentTime(final Date currentTime) {
    Clock.currentTime = currentTime;
  }
}
